void ES1_7590()
{
	//open chain with Be events only and draw E_Be

	//order: al0, noal0, al180, noal180

	TStopwatch sw;
	sw.Start();

	BeAnalysis ana;

	ana.SetCMAngularRange(75, 90);

//	TString configuration = "v5_7590";

//	ana.SetFigures("figures/", ".eps");

//	ana.SetChainsToDraw(0, 0, 0, 0, 1, 1);
	ana.SetChainsToDraw();
	Bool_t epsilonT[6] = {0,0,1,0,0};
	Bool_t cosThetaT[6] = {0,0,1,0,0};

	Bool_t epsilonY[6] = {0,0,1,0,0};
	Bool_t cosThetaY[6] = {0,0,1,0,0};

	Bool_t thetaAT[6] = {0,0,1,0,0};


	ana.SetExpChain("../../../be/rootdata/correlations/v5_exp/Be.", 0, 40);

	const Long64_t eMaxEvents = 5000000;
	Long64_t eEvents[6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
	ana.SetNoExpEvents(eEvents);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEvents[6] = {2050000, 2050000, 2050000, 2050000, 1900000, 1950000};
//	cout << sEvents << endl;
	ana.SetNoSimEvents(sEvents);

	Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
//	Int_t upSimFile[6] = {5, 5, 5, 5, 5, 5};
	Int_t upSimFile[6] = {12, 12, 12, 12, 12, 12};
	ana.SetNoSimFiles(lowSimFile, upSimFile);
	ana.SetSimChains("../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_0_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_0_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_180_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_180_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_90_65-100_",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_90_65-100_");

	ana.SetInputChains("../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_0_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_0_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_180_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_180_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_al_90_65-100_000.root",
			"../../../be/rootdata/correlations/v5_7590/Sim_mix_br_noal_90_65-100_000.root");


	ana.OpenExpChain();
	ana.OpenSimChains();


	ana.SetSpectra();
	ana.Spectra();


	ana.SetRatiosGStoEX("sRatio>0.075 && sRatio<0.125",
						"sRatio>0.076 && sRatio<0.126",
						"sRatio>0.070 && sRatio<0.120",
						"sRatio>0.070 && sRatio<0.120",
						"sRatio>0.075 && sRatio<0.125",
						"sRatio>0.076 && sRatio<0.126");
	ana.SetCuts();

	Long64_t eEventsECuts[5][6] = {eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents,
									eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents, eMaxEvents};
//	ana.ExpEventsECuts();
	ana.ExpEventsECuts(eEventsECuts);

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEventsECuts[5][6] = {/*sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,*/
									2020000, 2040000, 2130000, 2080000, 2060000, 2080000,
									2000000, 2020000, 2000000, 2010000, 1990000, 1970000,
									2320000, 2300000, 2340000, 2310000, 2300000, 2290000,
									2060000, 2070000, 2110000, 2110000, 2070000, 2060000,
									2050000, 2050000, 2110000, 2110000, 2050000, 2050000};
	ana.SimEventsECuts(sEventsECuts);

	TCut sRatioAl0 = "sRatio>0.075 && sRatio<0.125";
	TCut sRatioNoAl0 = "sRatio>0.076 && sRatio<0.126";
	TCut sRatioAl180 = "sRatio>0.070 && sRatio<0.120";
	//	TCut sRatioAl180 = "sRatio>0.050 && sRatio<0.100";
	TCut sRatioNoAl180 = "sRatio>0.070 && sRatio<0.120";
	//	TCut sRatioNoAl180 = "sRatio>0.010 && sRatio<0.150";
	TCut sRatioAl90 = "sRatio>0.075 && sRatio<0.125";
	TCut sRatioNoAl90 = "sRatio>0.076 && sRatio<0.126";
	TCut sRatio[6] = {sRatioAl0, sRatioNoAl0, sRatioAl180, sRatioNoAl180, sRatioAl90, sRatioNoAl90};


	ana.SetRangeProportion(1.1, 1);
//	const Double_t eTRange[5][6] = {280, 280, 280, 280, 280, 280,
//									350, 350, 350, 350, 350, 350,
//									350, 350, 350, 350, 350, 350,
//									630, 630, 630, 630, 630, 630,
//									700, 700, 700, 700, 700, 700};

	ana.SetEpsilonTintervals(epsilonT);
//	ana.SetEpsilonTintervals();
//	ana.EpsilonT();

	sw.Print();
	sw.Continue();

	ana.SetCosThetaTkIntervals(cosThetaT);
//	ana.CosThetaTk();

	sw.Print();
	sw.Continue();

	ana.SetEpsilonYintervals(epsilonY);
//	ana.EpsilonY();

	sw.Print();
	sw.Continue();

	ana.SetCosThetaYkIntervals(cosThetaY);
//	ana.CosThetaYk();

	sw.Print();
	sw.Continue();

	ana.SetThetaATintervals(thetaAT);
////	ana.SetThetaATintervals();
//	ana.ThetaAT();

	sw.Print();
	sw.Continue();

	Info("ES1_7590.cxx", "Finished.");

	return;

///////////////////////////////////////////////////////////

	const Bool_t kVerbose = 1;
	const Float_t kRangeProportionIn = 2.0;


	const Double_t eTRange[5][6] = {280, 280, 280, 280, 280, 280,
									350, 350, 350, 350, 350, 350,
									350, 350, 350, 350, 350, 350,
									630, 630, 630, 630, 630, 630,
									700, 700, 700, 700, 700, 700};


}


